Summary:		GEdit is a small but powerful text editor for GNOME.
Name:			gedit
Version:		2.4.1
Release:		6mdk
License:		GPL
Group:			Editors 
Source0:		ftp://ftp.gnome.org/pub/GNOME/sources/gedit/%{name}-%{version}.tar.bz2
Source2:		gedit_icons.tar.bz2
Patch0:			gedit-2.4.1-64bit-fixes.patch.bz2
# (fc) use current locale when creating new file (Mdk bug 6887)
Patch1:			gedit-2.4.1-encoding.patch.bz2
# (fc) 2.4.1-5mdk enable startup notify from gnome-vfs
Patch2:			gedit-2.4.1-startup.patch.bz2
URL:			http://gedit.pn.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libgnomeprintui-devel >= 2.4.0
BuildRequires:	gtksourceview-devel >= 0.7.0
BuildRequires:  eel-devel >= 2.0.0
BuildRequires:  aspell-devel
BuildRequires:  scrollkeeper
PreReq:			scrollkeeper >= 0.3
Obsoletes:		gedit-devel
Provides:		gedit-devel
Conflicts:		gedit-plugins <= 2.3.2-1mdk

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%prep
%setup -q -a 2
%patch0 -p1 -b .64bit-fixes
%patch1 -p1 -b .encoding
%patch2 -p1 -b .startup

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}-2.0 --with-gnome --all-name

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="Applications/Editors" \
	title="GEdit" \
	longtitle="GEdit is a small but powerful text editor" \
	command="%{_bindir}/gedit" \
	icon="gedit.png" \
	startup_notify="true"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}

install -m 644 %{name}_16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 %{name}_32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 %{name}_48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gedit-2/plugins/*.la \
 $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la

# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}/{C,ro}/%name.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/%{name}.xml > /dev/null || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gedit.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ] ; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gedit.schemas > /dev/null
fi
%postun 
%{clean_menus}
if [ -x {_bindir}/scrollkeeper-update ]; then {_bindir}/scrollkeeper-update -q|| true ; fi
/sbin/ldconfig

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog TODO AUTHORS INSTALL THANKS
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%dir %{_libdir}/gedit-2
%dir %{_libdir}/gedit-2/plugins
%{_libdir}/gedit-2/plugins/*.so
%{_libdir}/gedit-2/plugins/*.gedit-plugin
%{_libdir}/bonobo/*.so
%{_libdir}/bonobo/servers/*
%{_datadir}/gedit-2
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/gnome-2.0/ui/*
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%dir %{_datadir}/omf/gedit
%{_datadir}/omf/gedit/*-C.omf
%lang(de) %{_datadir}/omf/gedit/*-de.omf
%lang(es) %{_datadir}/omf/gedit/*-es.omf
%lang(fr) %{_datadir}/omf/gedit/*-fr.omf
%lang(it) %{_datadir}/omf/gedit/*-it.omf
%lang(ja) %{_datadir}/omf/gedit/*-ja.omf
%lang(ko) %{_datadir}/omf/gedit/*-ko.omf
%lang(ro) %{_datadir}/omf/gedit/*-ro.omf
%lang(sv) %{_datadir}/omf/gedit/*-sv.omf
%lang(zh) %{_datadir}/omf/gedit/*-zh*.omf

%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*
%{_menudir}/*
%{_datadir}/idl/*
%{_mandir}/man1/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%ghost %{_datadir}/gnome/help/%{name}/*/%{name}.html


%changelog
* Thu Feb 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-6mdk
- Fix distlint error

* Fri Feb 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-5mdk
- Patch2 : allow startup-notifu from gnome-vfs

* Mon Feb 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-4mdk
- Patch1 (Paolo): use current locale when saving new file (Mdk bug 6887)

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 2.4.1-3mdk
- rebuild for new pkgconfig Requires

* Thu Nov 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.1-2mdk
- Merge from AMD64 branch: 64-bit fixes

* Fri Nov  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- requires new gtksourceview and new gnomeprintui
- new version

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.5-2mdk
- Fix BuildRequires

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.5-1mdk
- Release 2.3.5
- Fix error in post install

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.3-4mdk
- Add lang tag to OMF files

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-3mdk
- Fix BuildRequires

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-2mdk
- Fix typo in script

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 0.3.3
- Remove patch0 (merged upstream)

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2
- Patch0: fix bonobo component soname and location

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.0-1mdk
- Release 2.3.0

* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Mon Jan 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.91-1mdk
- Release 2.1.91

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.6-2mdk
- Rebuild against latest openssl
- Generate yelp cache

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.6-1mdk
- Release 2.1.6

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Rebuilt against latest glibc

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Tue Nov 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2.1-1mdk
- Release 2.1.2.1

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Recompiled against gail 0.17

* Tue Jul 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Wed Jun 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.199.0-1mdk
- Release 1.199.0

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.121.1-2mdk
- Recompiled against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.121.1-1mdk
- Release 1.121.1

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.119.0-1mdk
- Release 1.119.0

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.118.0-2mdk
- Disable -fomit-frame-pointer, it prevents cursor to appear !! (bug 79456)

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.118.0-1mdk
- Release 1.118.0

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.0-1mdk
- Release 1.117.0

* Thu Apr 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-2mdk
- Add obsoletes to gedit-devel (no longer exist)

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-1mdk
- Release 1.116.0 (GNOME2)
- Remove patches 1, 2 & 3 (no longer needed)
- Remove the -devel package (not used)

* Mon Feb 25 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9.6-10mdk
-small update to Basque translation

* Mon Feb 25 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9.6-9mdk
- integrated Basque translation

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-8mdk
- xpm -> png icons

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.6-7mdk
- BuildRequires

* Thu Jan 03 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.6-6mdk
- fix BuildRequires

* Mon Nov 12 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.6-5mdk
- patch to add glade to include path in plugins 
- from Gtz Waschk <waschk@linux-mandrake.com> :
 - fixed rpmlint warnings
 - removed .a files from main package
 - shut up, tar
 - move aclocal, auto* to %%build
 - added patch to allow compilation with latest gnome-vfs
 - removed help dir from file listing
 - added --with-gnome to find_lang for help files

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-4mdk
- Add missing directory

* Thu Jun 28 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.9.6-3mdk
- Add a fontset patch to enable CJK text input and display.

* Sat Apr 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.6-2mdk
- Include locales provided in source instead of some external dinosaur-age
  locales.

* Tue Mar 20 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.6-1mdk
- new version 0.9.6
- removed gnome-vfs patch

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-1mdk
- Release 0.9.5
- Patch 0 to compile with gnome-vfs 0.6.2

* Sat Nov 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.4-1mdk
- new and shiny source.

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.3-1mdk
- new version 0.9.3
- moved plugins .so in normal package

* Wed Sep 20 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.1-1mdk
- new version

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.0-3mdk
- fixed langs
- further macroszification
- fixed icons
- fixed buildroot
- commented out .desktop
- fixed help

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.0-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-1mdk
- release 0.9.0 (from helix)
- BM + macroszification

* Wed Jun 28 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.7.9-1mdk
- 0.7.9

* Tue Jun 20 2000 dam's <damien@mandrakesoft.com> 0.7.0-4mdk
- Corrected po file source name gz -> bz2.

* Sun Jun 18 2000 dam's <damien@mandrakesoft.com> 0.7.0-3mdk
- Re-include po files.

* Thu Jun 15 2000 Reinhard Katzmann <reinhard@suamor.de> 0.7.0-2mdk
- Several important files were not included in the package :-(

* Mon Jun 12 2000 dam's <damien@mandrakesoft.com> 0.7.0-1mdk
- updated from helix.
- clean up spec.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-3mdk
- Add icons

* Thu Apr 20 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-2mdk
- Add menu entry

* Tue Mar 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.1-1mdk
- build release
- cleanup spec file .
- add post and postun sections (sometimes handy)
- upgrade from helix

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5.5-2mdk
- fix group 
- package should not be relocatable

* Wed Nov 17 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.5.5
 

* Fri Aug 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- get latest translation files from CVS 

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip manpage

* Mon Jul 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.5.4 from CVS :

	* README: Upped version number to 0.5.4. Also updated various parts
	  of the file to reflect current features and other related items.
	
	* README.plugins, INSTALL, makeconfig.pl: Upped version number to 0.5.4,
	  in preperation of release.
	
	* NEWS: Added Announce message for 0.5.4.

	* Erk! i havent been keeping this up to date.. ahwell.. here goes..
	
	* gE_document.[ch]: (gE_window_new) Make it a GnomeApp arg, instead
	  of a GtkWidget.. much nicer.. And commented out the call to
	  gE_set_menu_toggle_states, gnome-libs 1.0.11 doenst seem to like it..
	
	* gE_mdi.c: various improvements.. (iirc ;)
	
	* gE_prefs.[ch]: Added a "close doc" flag..
	
	* gE_prefs_box.c: Moved the print tab to a Document tab, and added a
	  option for what to do when the last documnet of the window is closed..
	  right now only the first option works.. this corresponds with the 
	  flag, above.
	
	* commands.c: Made the close callback check the "close doc" flag, and 
	  it will either open a new doc if there arent any more, or print hola! to
	  stdout.. as i said, its not fully implemented yet.

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sat Feb 06 1999 Michael Johnson <johnsonm@redhat.com>
- Cleaned up a bit for Red Hat use

* Thu Oct 22 1998 Alex Roberts <bse@dial.pipex.com>
- First try at an RPM
